# hy-cta-button

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description | Type                                                                                                     | Default                         |
| ------------- | -------------- | ----------- | -------------------------------------------------------------------------------------------------------- | ------------------------------- |
| `isExternal`  | `is-external`  |             | `boolean`                                                                                                | `false`                         |
| `linkContent` | `link-content` |             | `string`                                                                                                 | `''`                            |
| `scLabel`     | `sc-label`     |             | `string`                                                                                                 | `undefined`                     |
| `url`         | `url`          |             | `string`                                                                                                 | `undefined`                     |
| `variant`     | `variant`      |             | `CtaLinkButtonVariants.default \| CtaLinkButtonVariants.onBlueBkgd \| CtaLinkButtonVariants.onWhiteBkgd` | `CtaLinkButtonVariants.default` |

## Dependencies

### Used by

- [hy-banner](../hy-banner)

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-cta-button --> hy-icon
  hy-banner --> hy-cta-button
  style hy-cta-button fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
